clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ASTReader::ImportedSubmodule Struct Reference

`#include "clang/Serialization/ASTReader.h"`

Collaboration diagram for clang::ASTReader::ImportedSubmodule:
[legend]

## Public Member Functions
| ImportedSubmodule (serialization::SubmoduleID ID, SourceLocation ImportLoc)

## Public Attributes
serialization::SubmoduleID | ID
SourceLocation | ImportLoc

## Detailed Description

Definition at line 894 of file ASTReader.h.

## Constructor & Destructor Documentation

## ◆ ImportedSubmodule()

clang::ASTReader::ImportedSubmodule::ImportedSubmodule | ( | serialization::SubmoduleID | ID,
|  | SourceLocation | ImportLoc
| ) |  |
| inline

Definition at line 898 of file ASTReader.h.

References Filename.

## Member Data Documentation

## ◆ ID

serialization::SubmoduleID clang::ASTReader::ImportedSubmodule::ID

Definition at line 895 of file ASTReader.h.

## ◆ ImportLoc

SourceLocation clang::ASTReader::ImportedSubmodule::ImportLoc

Definition at line 896 of file ASTReader.h.

The documentation for this struct was generated from the following file:

- include/clang/Serialization/ASTReader.h